server {
    listen      80;
    listen      [::]:80;
    server_name grafana.{{ main_domain }} www.grafana.{{ main_domain }};

    # security headers
    add_header X-Frame-Options         "SAMEORIGIN" always;
    add_header X-XSS-Protection        "1; mode=block" always;
    add_header X-Content-Type-Options  "nosniff" always;
    add_header Referrer-Policy         "no-referrer-when-downgrade" always;

    # . files
    location ~ /\.(?!well-known) {
        deny all;
    }

    # reverse proxy
    location / {
        proxy_pass http://grafana:3000;
        include    nginxconfig.io/proxy.conf;
    }

    # additional config
    include nginxconfig.io/general.conf;
}

# subdomains redirect
server {
    listen      80;
    listen      [::]:80;
    server_name *.grafana.{{ main_domain }};
    return      301 http://grafana.{{ main_domain }}$request_uri;
}